package tda552.plotter;

import java.awt.*;

public class PositveX implements PlotStrategy {
  @Override
  public void plot(Graphics g, Function fun, int width, int height) {
    drawCoordinates(g, width, height);

    int yorigin = height / 2;
    double ratio = 50.0;

    for (int px = 0; px < width; px++) {
      double x = px / ratio;
      double y = fun.apply(x);
      int py = yorigin - (int) (y * ratio);
      g.fillOval(px - 1, py - 1, 3, 3);
    }
  }

  protected void drawCoordinates(Graphics g, int width, int height) {
    Color c = g.getColor();
    g.setColor(Color.BLACK);
    g.drawLine(0, height / 2, width, height / 2);
    g.setColor(c);
  }
}
